Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 18 Jun 2018, 23:29
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
How to use HP M1132 printer?
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [20 Posts]   Goto page: 1, 2 Next
Author Message
nimrod

Joined: 05 Dec 2014
Posts: 8

PostPosted: Fri 05 Dec 2014, 15:34    Post subject:  How to use HP M1132 printer?  

Hi everybody
I'm new under puppy linux.

I realy need help for installing my HP printer laserjet m1132. I try many different ways but I faild all the time.

PLEASE HELP ME PLEASE !!!!

P.S. I'm a french user so sorry about my nasty english
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12089
Location: Stratford, Ontario

PostPosted: Fri 05 Dec 2014, 16:08    Post subject:  

Your Laserjet m1132 requires a special plugin. In my experience, this requires a full Linux like Ubuntu.

However, there is a foo2xxx driver PET that supports the m1120 that may work for you. Download it from here. Click the small grey DOWNLOAD button on the LEFT.

Quote:
I try many different ways

It would help a lot if you stated what you have tried.
Back to top
View user's profile Send private message 
ardvark


Joined: 01 Jul 2013
Posts: 1458
Location: USA

PostPosted: Fri 05 Dec 2014, 16:23    Post subject:  

Hi all...

HPLIP 3.10.4 would also support this printer (.PET for 3.10.5 can be found here,) and the plugin that I'm guessing rcrsn51 was referring to can be installed using the instructions here. Smile

@nimrod: Welcome to the forum. Smile If rcrsn51's suggestion above doesn't work, what I mentioned above might but I can't guarantee it.

Regards...

_________________
Our Lord and Savior Jesus Christ loves and cares about you most of all!

PLEASE READ! You don't have to end up here!
Back to top
View user's profile Send private message 
nimrod

Joined: 05 Dec 2014
Posts: 8

PostPosted: Sun 07 Dec 2014, 05:23    Post subject:  

Thank you for your help.

I Installed the HPLIP 3.10.5 but I got a QT4 not installed when I try to install hp-setup.

I Also try to install the Foo2XXX and in the wizard I selecte de m1120 foo2xx and the test page was printing.

The Scanner is not working how can I do now?

Thanks
Back to top
View user's profile Send private message 
ardvark


Joined: 01 Jul 2013
Posts: 1458
Location: USA

PostPosted: Sun 07 Dec 2014, 06:17    Post subject:  

nimrod wrote:
I Installed the HPLIP 3.10.5 but I got a QT4 not installed when I try to install hp-setup.


Hi...

Try installing the QT4 .pet here. HPLIP should also allow you to scan. Wink

Regards...
Back to top
View user's profile Send private message 
nimrod

Joined: 05 Dec 2014
Posts: 8

PostPosted: Sun 07 Dec 2014, 06:49    Post subject:  

ardvark wrote:
nimrod wrote:
I Installed the HPLIP 3.10.5 but I got a QT4 not installed when I try to install hp-setup.


Hi...

Try installing the QT4 .pet here. HPLIP should also allow you to scan. Wink

Regards...


I downloaded and installed the .pet but I still have the same message

hp-setup

HP Linux Imaging and Printing System (ver. 3.10.5)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

error: Unable to load Qt4 support. Is it installed?
sh-3.00# hp-plugin

HP Linux Imaging and Printing System (ver. 3.10.5)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

error: Unable to load Qt4 support. Is it installed?
Back to top
View user's profile Send private message 
ardvark


Joined: 01 Jul 2013
Posts: 1458
Location: USA

PostPosted: Sun 07 Dec 2014, 06:57    Post subject:  

Hi...

Does this suggestion help?

Code:
hp-setup -i


Regards...
Back to top
View user's profile Send private message 
nimrod

Joined: 05 Dec 2014
Posts: 8

PostPosted: Sun 07 Dec 2014, 08:16    Post subject:  

Thank you for your help !
I try hp-setup -i and the installation begin but look what is the last message I got !

Code:

---------------------
| PRINTER TEST PAGE |
---------------------


Would you like to print a test page (y=yes*, n=no, q=quit) ? y
warning: hp-testpage should not be run as root/superuser.

HP Linux Imaging and Printing System (ver. 3.10.5)
Testpage Print Utility ver. 6.0

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

error: get_data_type(): Field type lookup failed for key scan-color
error: get_data_type(): Field type lookup failed for key scan-style
error: Unable to load Qt4 support. Is it installed?

Done.
sh-3.00#


And I try hp-plugin -i and that is the result
Code:

HP Linux Imaging and Printing System (ver. 3.10.5)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

(Note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.)

Traceback (most recent call last):
  File "/usr/bin/hp-plugin", line 275, in <module>
    from installer import core_install
  File "/usr/share/hplip/installer/core_install.py", line 41, in <module>
    import sha # deprecated in 2.6/3.0
  File "/usr/lib/python2.6/sha.py", line 10, in <module>
    from hashlib import sha1 as sha
  File "/usr/lib/python2.6/hashlib.py", line 136, in <module>
    md5 = __get_builtin_constructor('md5')
  File "/usr/lib/python2.6/hashlib.py", line 63, in __get_builtin_constructor
    import _md5
ImportError: No module named _md5
sh-3.00#
Back to top
View user's profile Send private message 
ardvark


Joined: 01 Jul 2013
Posts: 1458
Location: USA

PostPosted: Sun 07 Dec 2014, 08:33    Post subject:  

Hi...

What version of Puppy are you running?

Regards...
Back to top
View user's profile Send private message 
nimrod

Joined: 05 Dec 2014
Posts: 8

PostPosted: Sun 07 Dec 2014, 08:41    Post subject:  

Hi !

Toutou Wolx 5.5
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12089
Location: Stratford, Ontario

PostPosted: Sun 07 Dec 2014, 11:54    Post subject:  

nimrod wrote:
I Also try to install the Foo2XXX and in the wizard I selecte de m1120 foo2xx and the test page was printing.

That's good. You now have a working printer and only needed to install one package.

However, the chances of getting your Laserjet MFP scanner to work using HPLIP drivers are ZERO. We have looked at these units before and they will not work in Puppy. You need a full Linux like Ubuntu where all the packages match.

There is a driver program called Vuescan that supports your scanner.

You should now do a clean install of Wolx to get rid of the HP stuff. Install the foo2xxx PET again.
Back to top
View user's profile Send private message 
nimrod

Joined: 05 Dec 2014
Posts: 8

PostPosted: Sun 07 Dec 2014, 12:59    Post subject:  

Ok thank you I will do with foo2 and vuescan
Back to top
View user's profile Send private message 
ardvark


Joined: 01 Jul 2013
Posts: 1458
Location: USA

PostPosted: Sun 07 Dec 2014, 13:39    Post subject:  

rcrsn51 wrote:
There is a driver program called Vuescan that supports your scanner.


Hi rcrsn51...

The page here mentions that there is no driver for Linux. Is that just referring to HP's driver download site or to Vuescan?

What makes HPLIP not an option, in this case? I figured there should have been some way to get it to see the Q4 files. Question

Regards...
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 12089
Location: Stratford, Ontario

PostPosted: Sun 07 Dec 2014, 14:13    Post subject:  

ardvark wrote:
The page here mentions that there is no driver for Linux. Is that just referring to HP's driver download site or to Vuescan?

I don't know. But nimrod can find out easily by installing the demo version.

Quote:
What makes HPLIP not an option, in this case? I figured there should have been some way to get it to see the Q4 files

See the discussion with neversaynever here. Note that he got his Laserjet MFP to work with Vuescan.

After much trial and error, the major problem appeared to be Python, which is required by the scanner plugin. You need to find a compatible Python package, then compile the full HPLIP in your specific Puppy against that specific package.
Back to top
View user's profile Send private message 
ardvark


Joined: 01 Jul 2013
Posts: 1458
Location: USA

PostPosted: Sun 07 Dec 2014, 14:24    Post subject:  

rcrsn51 wrote:
But nimrod can find out easily by installing the demo version.


True. Another option the OP has is to try a lightweight version (although not as light as Puppy,) of Ubuntu called Lubuntu. I can confirm HPLIP works just fine on this distribution, either for scanning or for printing. Wink

@nimrod: If you try the option I mentioned above, be sure to follow the same instructions I posted earlier concerning the minimum version of HPLIP required and the needed plugin. To make it easier, you can see if 3.10.4 is listed in Synaptic, Lubuntu's package manager. If not, you can just as easily install the latest version starting here. Smile

Regards...
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [20 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0555s ][ Queries: 11 (0.0102s) ][ GZIP on ]